    /**  this class defines the object to be manipulated and the query */

public class CoreMessage

{



    public int obj_id;
    public String query;

    public CoreMessage(int obj_id,String query )

    {
	this.obj_id = obj_id;
	this.query = query;

    }

    
    public int getObjId()
    {
	return this.obj_id;

    }

    public void setObjId(int obj_id)
    {
        this.obj_id = obj_id;

    }

    public String getQuery()
    {
	return this.query;
    }

    public void  setQuery(String query)
    {
	this.query = query;
    }


}


